import 'package:flutter/material.dart';
import 'package:yuro_state/yuro_state.dart';

class YuroAppController extends YuroController {
  Key uniKey;

  ThemeData theme;

  void changeTheme(ThemeData theme) {
    this.theme = theme;
    update();
  }

  ThemeMode themeMode;

  void changeThemeMode(ThemeMode themeMode) {
    if (this.themeMode != themeMode) {
      this.themeMode = themeMode;
      forceRestart();
    }
  }

  void forceRestart() {
    uniKey = UniqueKey();
    update();
  }
}
